# Welcome to the @ReachableCEO profile

- [Welcome to the @ReachableCEO profile](#welcome-to-the-reachableceo-profile)
  - [Introduction](#introduction)
  - [Programming Repositories of interest](#programming-repositories-of-interest)
    - [Code snippets](#code-snippets)
    - [Shell scripting framework](#shell-scripting-framework)
    - [Markdown/Typst Build Pipeline](#markdowntypst-build-pipeline)
    - [Private Cloud Orchestration System](#private-cloud-orchestration-system)
  - [Documentation Repositories of interest](#documentation-repositories-of-interest)
    - [Marketing](#marketing)
    - [Instructional](#instructional)
    - [Business Deals/contracts](#business-dealscontracts)
    - [Technical](#technical)
  - [Sponsor Me](#sponsor-me)

## Introduction

Thank you for stopping by my developer/freelance profile.

I have a curated a selection of repositories to highlight my experience.

## Programming Repositories of interest

### Code snippets

Please browse the below repository to see a collection of small useful utility code bits I've written over the years.

- [code snippets repository](https://git.knownelement.com/reachableceo/ReachableCEO-ShellScriptPortfolio)

### Shell scripting framework

I have written a framework of scripts to start new full sized/production coding projects.

It's a collection of methodologies, practices, approaches etc that I've picked up over time.

- [ReachableCEO Shell Framework](https://git.knownelement.com/reachableceo/ReachableCEO-ShellScriptPortfolio)

### Markdown/Typst Build Pipeline

- Core minimum viable product:
  - The minimum possible demonstration of using a yaml config, a background, a logo etc to generate a nicely formatted/branded PDF. Used as the basis for all the repositroies referenced in this section.
  - [ReachableCEO Docs Production Pipeline](https://git.knownelement.com/reachableceo/rcdoc-pipeline)

- Small example:
  - A client/server approach using a microservice model.
  - Combines data from multiple markdown/csv files into a single markdown file.
  - Includes markdown table generation from CSV input.
  - Fully production ready (v1.0 release cut 12/15/2024) and (other than jsonresume output) should be code/feature/test suite complete and considered in maintenance mode.
  - [My markdown resume generation system](https://git.knownelement.com/reachableceo/MarkdownResume-Pipeline-ClientExample)
  - [My resume](https://git.knownelement.com/reachableceo/ReachableCEO-Profile-FullTimeEmployment) which is using the above pipeline system with my actual career data.

- Medium example:
  - Currently (12/15/2024) a major work in progress and not (fully) production ready.
  - Used by the @ReachableCEO daily for producing his stakeholder reports in an automated fashion.
  - Has everything from the small example.
  - Also uses the TSYS secrets manager.
  - Pulls in data from various backends via API (hence use of secrets manager)
  - Publishes the report to disocurse via API (hence use of secrets manager)
  - [My daily stakeholder report pipeline](https://git.knownelement.com/reachableceo/DSR-Pipeline-ReachableCEO)

- Large example:
  - Uses mdbook
  - Uses csv2chart
  - [Startup Starter Package](https://git.knownelement.com/RWSCP/StartupStarterPackage)

### Private Cloud Orchestration System

Currently (12/15/2024) this is being re-factored from monolith into microservice before release

- [Private Cloud Orchestration System](https://git.knownelement.com/reachableceo/PrivateCloudOrchestrationSystem)

## Documentation Repositories of interest

### Marketing

- [Sponsorship Profiles](https://git.knownelement.com/reachableceo/SponsorshipProfiles)

### Instructional

- [Self hosted sponsorship](https://git.knownelement.com/reachableceo/selfhosted-sponsorship)

### Business Deals/contracts

- [TSYS Group Ancillary Business Joint Venture](https://git.knownelement.com/TSYSGroupBOD/TSYSAncillaryBusinessDealMemo)

### Technical

## Sponsor Me

If you want to help fund my work on the above projects , please visit my [sponsorship page]().
